Skip to main content
GET
/
clients
List Clients
curl --request GET \
  --url https://api.sandbox.flowpayroll.ai/v1/billing/clients \
  --header 'X-Auth-Token: <api-key>'
{
  "content": {
    "data": {
      "clients": [
        {
          "typeDiscriminator": "<string>",
          "name": "<string>",
          "organisationId": "<string>",
          "createdDate": "<string>",
          "createdBy": "<string>",
          "updatedDate": "<string>",
          "updatedBy": "<string>",
          "id": "<string>",
          "invoiceFormatTagGroup": "<string>",
          "invoiceFormatTagName": "<string>",
          "invoiceNumberTagGroup": "<string>",
          "invoiceNumberTagName": "<string>",
          "subtotalTagGroupName": "<string>",
          "rebatePercentage": 123,
          "vatNumber": "<string>",
          "registrationNumber": "<string>",
          "contacts": [
            {
              "firstName": "<string>",
              "lastName": "<string>",
              "email": "<string>",
              "id": "<string>",
              "phone": "<string>",
              "role": "<string>",
              "tags": [
                {
                  "name": "<string>",
                  "group": "<string>",
                  "value": "<string>"
                }
              ],
              "includeInEmails": true
            }
          ],
          "tags": [
            {
              "name": "<string>",
              "group": "<string>",
              "value": "<string>"
            }
          ],
          "defaultRevenueAccountCode": "<string>",
          "defaultTaxType": "<string>",
          "providerId": "<string>",
          "externalProvider": "<string>",
          "lastSyncedAt": "<string>",
          "syncErrorMessage": "<string>",
          "billingAddress": {
            "line1": "<string>",
            "line2": "<string>",
            "city": "<string>",
            "county": "<string>",
            "postcode": "<string>",
            "countryCode": "<string>"
          },
          "physicalAddress": {
            "line1": "<string>",
            "line2": "<string>",
            "city": "<string>",
            "county": "<string>",
            "postcode": "<string>",
            "countryCode": "<string>"
          },
          "financeSettings": {
            "defaultRevenueAccount": "<string>",
            "defaultTaxRate": "<string>",
            "payElementMappings": [
              {
                "payElementId": "<string>",
                "accountCode": "<string>",
                "taxType": "<string>"
              }
            ],
            "defaultDueDateDays": 123,
            "defaultCurrencyCode": "<string>",
            "defaultLineAmountTypes": "<string>",
            "invoiceTemplateOverride": {
              "showSubsectionHeader": true,
              "showSubtotalInSubsection": true,
              "showSubtotalVatInSubsection": true,
              "showQuantitySumInSubsection": true,
              "showBottomSubtotals": true,
              "showVatInBottomSubtotals": true,
              "showQuantitySumInBottomSubtotals": true,
              "lineDescriptionFormula": "<string>",
              "lineDescriptionTagGroupId": "<string>",
              "includeAttachmentsWithOnlineInvoice": true
            },
            "creditNoteTemplateOverride": {
              "showSubsectionHeader": true,
              "showSubtotalInSubsection": true,
              "showSubtotalVatInSubsection": true,
              "showQuantitySumInSubsection": true,
              "showBottomSubtotals": true,
              "showVatInBottomSubtotals": true,
              "showQuantitySumInBottomSubtotals": true,
              "lineDescriptionFormula": "<string>",
              "lineDescriptionTagGroupId": "<string>",
              "includeAttachmentsWithOnlineInvoice": true
            },
            "invoiceReferenceFormula": "<string>",
            "invoiceReferenceDateFormat": "<string>"
          }
        }
      ],
      "paginationToken": "<string>",
      "hasMorePages": true,
      "pageSize": 123
    },
    "metadata": {
      "dateFormat": "<string>",
      "dateTimeFormat": "<string>"
    }
  },
  "metadata": {
    "dateFormat": "<string>",
    "dateTimeFormat": "<string>"
  },
  "errors": [
    {
      "field": "<string>",
      "reasonText": "<string>",
      "reasonId": "<string>",
      "reasonParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "message": {
    "text": "<string>",
    "textId": "<string>",
    "textParameters": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

Authentication token for API access

Query Parameters

paginationToken
string
pageSize
integer<int32>
includeArchived
boolean

Response

OK

content
object
metadata
object
errors
object[] | null
message
object